Changelog for June 3, 2025
Breaking changes
-
POST /tasking/v2/tasksendpoint — the type of theimagingModeparameter in the API specification of thecreateTaskoperation has changed fromenumtostring.Instead of enumerating the list of available imaging modes in the API specification, the available imaging modes are now taken from your contract. This change should not immediately impact an existing client runtime, because the format of a
createTaskrequest is unchanged. But if your client implementation relies on generating code from the API specification, this could have an impact on your client codebase.
Non-breaking changes
-
POST /notifications/v1/webhooksendpoint — theregisterWebhookoperation can now be configured to send OAuth2 client credentials in notification callbacks, in order to support the OAuth2 Client Credentials authentication flow on a callback HTTPS server.